<script setup lang="ts">
    import { baseURL } from "../functions/env";
    import { openBrowser } from "../functions/open";
    import { success } from "../plugins/toast";
    import APIVersionStatus from "./APIVersionStatus.vue";

    function clearSWCache() {
        if ("serviceWorker" in navigator) {
            navigator.serviceWorker.getRegistrations().then(async function (registrations) {
                for (let registration of registrations) {
                    await registration.unregister();
                }

                // notify
                console.log("Cleared cache and updated app.");
                success("Service Workers re-register");
                location.reload();
            });
        }
    }
</script>

<template>
    <div class="pa-3">
        <h2 class="text-center" @click="clearSWCache">Mathezirkel-App</h2>

        <v-card title="Willkommen in der Mathezirkel App. Happy Mathezirkeling" variant="tonal" class="my-2">
            <template v-slot:text>
                <div class="text-center">
                    <p class="my-3">
                        <b class="pr-10">Cloud:</b>
                        <v-btn @click="openBrowser('https://cloud.mathezirkel-augsburg.de')"> Nextcloud </v-btn>
                    </p>
                    <p class="my-3">
                        <b class="pr-10">Pad:</b>
                        <v-btn @click="openBrowser('https://pad.mathezirkel-augsburg.de')"> Hedgedoc </v-btn>
                    </p>
                    <p class="my-3">
                        <b class="pr-10">GitLab:</b>
                        <v-btn @click="openBrowser('https://gitlab.com/mathezirkel')"> Git-Repositories </v-btn>
                    </p>
                    <p class="my-3">
                        <b class="pr-10">GitHub:</b>
                        <v-btn @click="openBrowser('https://github.com/mathezirkel-augsburg')"> Git-Repositories </v-btn>
                    </p>
                    <p class="my-3">
                        <b class="pr-10">Website:</b>
                        <v-btn @click="openBrowser('https://mathezirkel-augsburg.de')"> Hauptseite </v-btn>
                    </p>
                    <p class="my-3">
                        <b class="pr-10">Keycloak:</b>
                        <v-btn @click="openBrowser(baseURL() + 'account')"> Stammdaten </v-btn>
                    </p>
                </div>
            </template>
        </v-card>

        <APIVersionStatus />
    </div>
</template>
